Subject: Re: [RFC/PATCH 0/2] submodule: drop the top-level requirement

From: Jens Lehmann <[email-masked]>
Date: Sun, 07 Apr 2013 22:15:07 +0200

Am 07.04.2013 21:55, schrieb John Keeping:
> With the recent discussion, I wondered how hard it would be to add
> SUBDIRECTORY_OK=Yes to git-submodule.sh and it doesn't seem that bad.
> 
> Note that this series currently lacks both tests and documentation
> updates.  Also I have made no attempt to change the output from any
> commands, so submodule paths are always printed relative to the
> top-level of the repository.
> 
> Consider this series a proof-of-concept, to see whether I'm on
> completely the wrong course.

Cool! Thanks for working on that, I'll take a deeper look in my next
Git timeslot.

> John Keeping (2):
>   rev-parse: add --filename-prefix option
>   submodule: drop the top-level requirement
> 
>  builtin/rev-parse.c | 17 ++++++++++++-----
>  git-submodule.sh    |  7 +++++++
>  2 files changed, 19 insertions(+), 5 deletions(-)
>